Package org.apache.avro.perf.test.basic.jmh_generated

# Class BytesTest_decode_jmhTest

java.lang.Object
org.apache.avro.perf.test.basic.jmh_generated.BytesTest_decode_jmhTest

public final class BytesTest_decode_jmhTest extends Object

## Constructor Summary

Constructors
Constructor
Description
`BytesTest_decode_jmhTest()`

## Method Summary

Modifier and Type
Method
Description
`org.openjdk.jmh.results.BenchmarkTaskResult`
`decode_AverageTime(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)`
`static void`
`decode_avgt_jmhStub(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, BytesTest_TestStateDecode_jmhType l_teststatedecode1_1, BytesTest_jmhType l_bytestest0_0)`
`static void`
`decode_sample_jmhStub(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, org.openjdk.jmh.util.SampleBuffer buffer, int targetSamples, long opsPerInv, int batchSize, BytesTest_TestStateDecode_jmhType l_teststatedecode1_1, BytesTest_jmhType l_bytestest0_0)`
`org.openjdk.jmh.results.BenchmarkTaskResult`
`decode_SampleTime(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)`
`org.openjdk.jmh.results.BenchmarkTaskResult`
`decode_SingleShotTime(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)`
`static void`
`decode_ss_jmhStub(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, int batchSize, BytesTest_TestStateDecode_jmhType l_teststatedecode1_1, BytesTest_jmhType l_bytestest0_0)`
`org.openjdk.jmh.results.BenchmarkTaskResult`
`decode_Throughput(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)`
`static void`
`decode_thrpt_jmhStub(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, BytesTest_TestStateDecode_jmhType l_teststatedecode1_1, BytesTest_jmhType l_bytestest0_0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BytesTest_decode_jmhTest

public BytesTest_decode_jmhTest()

## Method Details

### decode_Throughput

public org.openjdk.jmh.results.BenchmarkTaskResult decode_Throughput(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams) throws Throwable

Throws:
  `Throwable`

### decode_thrpt_jmhStub

public static void decode_thrpt_jmhStub(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, BytesTest_TestStateDecode_jmhType l_teststatedecode1_1, BytesTest_jmhType l_bytestest0_0) throws Throwable

Throws:
  `Throwable`

### decode_AverageTime

public org.openjdk.jmh.results.BenchmarkTaskResult decode_AverageTime(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams) throws Throwable

Throws:
  `Throwable`

### decode_avgt_jmhStub

public static void decode_avgt_jmhStub(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, BytesTest_TestStateDecode_jmhType l_teststatedecode1_1, BytesTest_jmhType l_bytestest0_0) throws Throwable

Throws:
  `Throwable`

### decode_SampleTime

public org.openjdk.jmh.results.BenchmarkTaskResult decode_SampleTime(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams) throws Throwable

Throws:
  `Throwable`

### decode_sample_jmhStub

public static void decode_sample_jmhStub(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, org.openjdk.jmh.util.SampleBuffer buffer, int targetSamples, long opsPerInv, int batchSize, BytesTest_TestStateDecode_jmhType l_teststatedecode1_1, BytesTest_jmhType l_bytestest0_0) throws Throwable

Throws:
  `Throwable`

### decode_SingleShotTime

public org.openjdk.jmh.results.BenchmarkTaskResult decode_SingleShotTime(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams) throws Throwable

Throws:
  `Throwable`

### decode_ss_jmhStub

public static void decode_ss_jmhStub(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, int batchSize, BytesTest_TestStateDecode_jmhType l_teststatedecode1_1, BytesTest_jmhType l_bytestest0_0) throws Throwable

Throws:
  `Throwable`